
IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[FNMED_TABLETYATISICERIK]') AND xtype in (N'FN', N'IF', N'TF'))
	DROP FUNCTION [dbo].[FNMED_TABLETYATISICERIK]
GO
CREATE FUNCTION [dbo].[FNMED_TABLETYATISICERIK] (@SUBEID int, @TABLETIP nvarchar(15)) RETURNS @YATISTABLET TABLE (
	ODANO int,
	BOLUM nvarchar(50),
	ADI nvarchar(30),
	SOYADI nvarchar(30),
	ACIKLAMA nvarchar(200),
	DUSMERISK bit,
	SOLUNUMIZOLASYONU bit,
	TEMASIZOLASYONU bit,
	DAMLACIKIZOLASYONU bit,
	QRLINK nvarchar(500) 
) AS BEGIN
INSERT INTO
	@YATISTABLET (ODANO, BOLUM, ADI, SOYADI, ACIKLAMA, DUSMERISK,SOLUNUMIZOLASYONU,TEMASIZOLASYONU,DAMLACIKIZOLASYONU,QRLINK)
SELECT
	HYODANO,
	LBOLUM,
	HADI,
	HSOYADI,
	ODAMESAJI,
	(
	CASE
    WHEN HYATISDUSME.UYARIAKTIFITAKI IS NOT NULL THEN HYATISDUSME.UYARIAKTIFITAKI
    WHEN  HYATISDUSME.UYARIAKTIFHARIZMI IS NOT NULL THEN HYATISDUSME.UYARIAKTIFHARIZMI
    WHEN VWYATIS.DUSMERISKI IS NOT NULL THEN  VWYATIS.DUSMERISKI
    ELSE 0
END
	),
	HSAGBILGI.SOLUNUMIZOLASYONU,HSAGBILGI.TEMASIZOLASYONU,HSAGBILGI.DAMLACIKIZOLASYONU,
	REPLACE(ISNULL((SELECT TOP 1 VALUESTR FROM CONFIG WHERE PROGNAME='MEDISOFT' AND SECTIONSTR='Genel Tanimlar' AND KEYNAME='Tablet QRKOD linki'),''),'HDOSYAID',CONVERT(VARCHAR,VWYATIS.HDOSYAID)) AS QRLINK
FROM
	VWYATIS 
	JOIN TTABLET WITH(NOLOCK) ON VWYATIS.HYODANO = TTABLET.YATISODANO
	LEFT JOIN HYATISDUSME  WITH(NOLOCK) ON VWYATIS.HYATISID = HYATISDUSME.HYATISID
	LEFT JOIN HSAGBILGI ON HSAGBILGI.HKIMLIKID=VWYATIS.HKIMLIKID
WHERE
	VWYATIS.DURUM = 1
	AND VWYATIS.SUBEID = @SUBEID
	AND TTABLET.TABLETIP = @TABLETIP --AND 1=0
	RETURN
END

GO